:root {
  --primary: #ef4444;
  --primary-light: #f87171;
  --dark: #1C212E;
  --grey-dark: #3F4656;
  --grey: #6C7486;
  --grey-light: #CDD9ED;
  --white: #FFF;
  --green: #16BF78;
  --sand: #fbbf24;
  --sand-light: #fbbf24;
}


.order {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 0;
  background: var(--dark);
  position: relative;
  height: 63px;
  width: 660px; 
  max-width: 100%;
  padding: 0;
  outline: none;
  cursor: pointer;
  border-radius: 32px;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
  -webkit-tap-highlight-color: transparent;
  overflow: hidden;
  transition: transform 0.3s ease;
}

.order span {
  --o: 1;
  position: absolute;
  left: 0;
  right: 0;
  text-align: center;
  top: 19px;
  line-height: 24px;
  color: var(--white);
  font-size: 16px;
  font-weight: 500;
  opacity: var(--o);
  transition: opacity 0.3s ease;
}

.order span.default {
  transition-delay: 0.3s;
}

.order span.success {
  --offset: 16px;
  --o: 0;
}

.order span.success svg {
  width: 12px;
  height: 10px;
  display: inline-block;
  vertical-align: top;
  fill: none;
  margin: 7px 0 0 4px;
  stroke: var(--green);
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-dasharray: 16px;
  stroke-dashoffset: var(--offset);
  transition: stroke-dashoffset 0.3s ease;
}

.order:active {
  transform: scale(0.96);
}

.order .lines {
  opacity: 0;
  position: absolute;
  height: 3px;
  background: var(--white);
  border-radius: 2px;
  width: 6px;
  top: 30px;
  left: 100%;
  box-shadow: 15px 0 0 var(--white), 30px 0 0 var(--white), 45px 0 0 var(--white), 60px 0 0 var(--white), 75px 0 0 var(--white), 90px 0 0 var(--white), 105px 0 0 var(--white), 120px 0 0 var(--white), 135px 0 0 var(--white), 150px 0 0 var(--white), 165px 0 0 var(--white), 180px 0 0 var(--white), 195px 0 0 var(--white), 210px 0 0 var(--white), 225px 0 0 var(--white), 240px 0 0 var(--white), 255px 0 0 var(--white), 270px 0 0 var(--white), 285px 0 0 var(--white), 300px 0 0 var(--white), 315px 0 0 var(--white), 330px 0 0 var(--white), 345px 0 0 var(--white), 360px 0 0 var(--white), 375px 0 0 var(--white), 390px 0 0 var(--white);
}

.order .truck {
  width: 60px;
  height: 41px;
  left: 100%;
  z-index: 2; 
  top: 11px;
  position: absolute;
  transform: translateX(24px);
}

.order .truck:before,
.order .truck:after {
  --r: -90deg;
  content: "";
  height: 2px;
  width: 20px;
  right: 58px;
  position: absolute;
  display: block;
  background: var(--white);
  border-radius: 1px;
  transform-origin: 100% 50%;
  transform: rotate(var(--r));
  z-index: 3; 
}

.order .truck:before {
  top: 4px;
}

.order .truck:after {
  --r: 90deg;
  bottom: 4px;
}

.order .truck .back {
  left: 0;
  top: 0;
  width: 60px;
  height: 41px;
  z-index: 2;
  border-radius: 2px;
  background: linear-gradient(var(--white), var(--grey-light));
  position: absolute;
}

.order .truck .front {
  overflow: hidden;
  position: absolute;
  border-radius: 2px 9px 9px 2px;
  width: 26px;
  height: 41px;
  left: 60px;
}

.order .truck .front:after {
  content: "";
  position: absolute;
  display: block;
  border-radius: 2px 9px 9px 2px;
  background: var(--primary);
  width: 24px;
  height: 41px;
  right: 0;
}

.order .truck .front .window {
  overflow: hidden;
  border-radius: 2px 8px 8px 2px;
  background: var(--primary-light);
  transform: perspective(4px) rotateY(3deg);
  width: 22px;
  height: 41px;
  position: absolute;
  left: 2px;
  top: 0;
  z-index: 1;
  transform-origin: 0 50%;
}

.order .truck .light {
  width: 3px;
  height: 8px;
  left: 83px;
  transform-origin: 100% 50%;
  position: absolute;
  border-radius: 2px;
  transform: scaleX(0.8);
  background: #f0dc5f;
}

.order .truck .light.top { top: 4px; }
.order .truck .light.bottom { bottom: 4px; }

.order .box {
  width: 30px;
  height: 21px;
  left: 100%; 
  top: 21px;
  z-index: 1; 
  border-radius: 2px;
  background: linear-gradient(var(--sand-light), var(--sand));
  position: absolute;
  opacity: 0;
}

.order.animate .default {
  --o: 0;
  transition-delay: 0s;
}

.order.animate .success {
  --offset: 0;
  --o: 1;
  transition-delay: 7s;
}

.order.animate .truck {
  animation: truck 10s ease forwards;
}

.order.animate .truck:before {
  animation: door1 2.4s ease forwards 0.3s;
}

.order.animate .truck:after {
  animation: door2 2.4s ease forwards 0.6s;
}

.order.animate .box {
  animation: box 10s ease forwards;
}

.order.animate .lines {
  animation: lines 10s ease forwards;
}

@keyframes truck {
  10%, 30% {
    transform: translateX(-314px);
  }
  40% {
    transform: translateX(-254px);
  }
  60% {
    transform: translateX(-590px);
  }
  75%, 100% {
    transform: translateX(24px);
  }
}

@keyframes box {
  0%, 10% {
    opacity: 0;
    transform: translateX(-390px); 
  }
  12% {
    opacity: 1;
  }
  24% {
    transform: translateX(-285px); 
    opacity: 1;
  }
  25%, 100% {
    transform: translateX(-285px);
    opacity: 0; 
  }
}

@keyframes door1 {
  30%, 50% {
    transform: rotate(32deg);
  }
}

@keyframes door2 {
  30%, 50% {
    transform: rotate(-32deg);
  }
}

@keyframes lines {
  0%, 30% {
    opacity: 0;
    transform: scaleY(0.7) translateX(0);
  }
  35%, 65% {
    opacity: 1;
  }
  70% {
    opacity: 0;
  }
  100% {
    transform: scaleY(0.7) translateX(-600px);
  }
}

